import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _SHSignature } from "./SHSignature.js";
export declare class _SHMatch extends _NSObject {
    static alloc(): _SHMatch;
    static new(): _SHMatch;
    init(): _SHMatch;
    /**
     * An array of the media items in the catalog that match the query signature, in order of the quality of the match.
     */
    mediaItems(): _NSArray;
    /** The query signature for the match. */
    querySignature(): _SHSignature;
}
export interface _SHMatch extends _NSSecureCoding {
}
